package org.gfxtest.testsuites;

import java.awt.*;

import org.gfxtest.framework.*;

public class BlankImage extends GfxTest
{

    public TestResult test0(TestImage image, Graphics2D graphics)
    {
        return TestResult.PASSED;
    }

    public TestResult test1(TestImage image, Graphics2D graphics)
    {
        image.fillImage(Color.BLACK);
        return TestResult.PASSED;
    }

    public TestResult test2(TestImage image, Graphics2D graphics)
    {
        image.fillImage(Color.RED);
        return TestResult.PASSED;
    }

    public TestResult test3(TestImage image, Graphics2D graphics)
    {
        image.fillImage(Color.GREEN);
        return TestResult.PASSED;
    }

    public TestResult test4(TestImage image, Graphics2D graphics)
    {
        image.fillImage(Color.BLUE);
        return TestResult.PASSED;
    }

    public TestResult test5(TestImage image, Graphics2D graphics)
    {
        image.fillImage(new Color(0x7f, 0x7f, 0x00));
        return TestResult.PASSED;
    }

    public TestResult test6(TestImage image, Graphics2D graphics)
    {
        image.fillImage(new Color(0.5f, 0.0f, 1.0f));
        return TestResult.PASSED;
    }

    public static void main(String[] args)
    {
        new BlankImage().runTestSuite(args);
    }
}
